# Rates and Fees

Before initializing a fiat onramp payment, you might want to know what rate your USDT would be settled at. Make a **GET** request to the following endpoint.

{% code overflow="wrap" %}

```url
https://api.localramp.co/v1/transaction/pay/rate?currency=NGN&country_code=NG
```

{% endcode %}

The request takes `currency` and `country_code` as a query param.&#x20;

With the following header

```
x-auth-token: <SECRET_KEY>
```

If the API call is successful, LocalRamp returns the following response:

```javascript
{
    "status": "success",
    "data": {
        "rate": {
            "sender_currency": "NGN",
            "receiver_currency": "USDT",
            "processor_fee": {
                "type": "FLAT",
                "fee": "100.00"
            },
            "exchange_rate": "743.22",
            "market": "BUY"
        },
        "info": {
            "processor_fee": "Fee LocalRamp Charges (NGN)",
            "exchange_rate": "Price LocalRamp will buy your crypto at"
        }
    }
}
```

`processor_fee` is what LocalRamp charges in local currency fiat i.e NGN, GHS. It will be deducted from whatever the user sends.

`exchange_rate` is the purchase price of the USDT.

#### Rate Calculation

To calculate how much you would eventually receive in your USDT wallet for any sender amount

{% hint style="info" %}
**receiver\_amount** = (**sender\_amount** - `processor_fee`) / `exchange_rate`
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.localramp.co/payments-on-ramp/rates-and-fees.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
